<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\KursDetails\KursBearbeiten;

class KursBearbeitenAbsendenController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursBearbeitenAbsendenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new KursBearbeitenAbsendenRequest();
    
    $requestObj->knr = \RequestOperations::getVarValue('knr');
    
    $wssHandler = new \Kufer\KuferTools\Utils\WssHandler(KursBearbeitenAbsendenUseCase::getToolSectionId(), KursBearbeitenAbsendenUseCase::getUser());
    $requestObj->columnValues = $wssHandler->getColumnValuesFromPost();
    
    $requestObj->wssHandler = $wssHandler;

    $action = $this->getActionVal(); 
    
    
    return $this->handleXsrf($requestObj, $action, $requestObj->knr);
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return null;
  }

  
  protected function getControllerToForward($pUseCaseResponse)
  {
    

    $statusMessageContainer = $pUseCaseResponse->statusMessageContainer;
    
    return new \Kufer\KuferTools\Mitarbeiter\KursUebersicht\KursDetails\KursDetailsExternController($statusMessageContainer);
  }

  

  
  protected function getAccessDeniedController()
  {
    return new \Kufer\KuferTools\Oeffentlich\AccessDenied\OhneContainer\AccessDeniedOhneContainerController();
  }
}